import RowHeader from "./RowHeader";
import Cell from "./Cell";
import Context from "./Context";
import type DataGrid from "./DataGrid";
interface RowData {
    [key: string]: any;
}
declare class Row extends Context {
    data: RowData;
    rowIndex: number;
    _rowId: string;
    checked: boolean;
    allCells: Cell[];
    fixedCells: Cell[];
    cells: Cell[];
    rowHeader: RowHeader;
    constructor(grid: DataGrid, rowIndex: number, x: number, y: number, height: number, data: RowData);
    isInVerticalAutofill(mouseX: number, mouseY: number): boolean;
    handleCheck(checked?: boolean, event?: MouseEvent, silent?: boolean): void;
    mouseDown(x: number, y: number): void;
    mouseMove(mouseX: number, mouseY: number): void;
    handleAutofill(x: number, y: number): void;
    handleStartAutofill(x: number, y: number, shiftKey?: boolean): void;
    click(x: number, y: number, event?: MouseEvent): void;
    dbClick(x: number, y: number): void;
    resizeColumn(colIndex: number, diffWidth: number): void;
    resizeRow(rowIndex: number, height: number): void;
    rePaint(): void;
    draw(): void;
}
export default Row;
